| POST | /RestApi/translations/getTargetLanguagesStatuses |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Ids | body | Guid[] | No | |
| ContentType | body | Type | No | |
| SourceLanguage | body | string | No | |
| Skip | body | int | No | |
| Take | body | int | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| TotalCount | form | int | No | |
| IsGeneric | form | bool | No | |
| Context | form | IDictionary<string, string> | No | |
| Items | form | IEnumerable<ItemsTargetLanguageStatusProxy> | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Code | form | string | No | |
| Name | form | string | No | |
| SomeItemsHaveIncompatiblePendingTranslations | form | bool | No | |
| AllItemsHaveIncompatiblePendingTranslations | form | bool | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/translations/getTargetLanguagesStatuses HTTP/1.1
Host: www.imglobal.com
Accept: text/csv
Content-Type: text/csv
Content-Length: length
{"Ids":["00000000-0000-0000-0000-000000000000"],"SourceLanguage":"String","Skip":0,"Take":0}
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length
{"TotalCount":0,"IsGeneric":false,"Items":[]}